libpcsc-perl_1.4.12-1+b2_amd64.deb


Advertisement

Description

libpcsc-perl - Perl interface to the PC/SC smart card library

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: libpcsc-perl
Package version: 1.4.12
Package release: 1+b2
Package architecture: amd64
Package type: deb
Installed size: 110 B
Download size: 55.57 KB
Official Mirror: ftp.br.debian.org
This package contains a Perl wrapper to the PC/SC smartcard library (pcsc-lite) together with some small examples. The provided modules are Chipcard::PCSC and Chipcard::PCSC::Card

Alternatives

Provides

  • libchipcard-pcsc-card-perl

    Download

    Source package: pcsc-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpcsc-perl deb package:
      # sudo apt-get install libpcsc-perl

    Files

    • /usr/lib/perl5/Chipcard/PCSC.pm
    • /usr/lib/perl5/Chipcard/PCSC.pod
    • /usr/lib/perl5/Chipcard/PCSC/Card.pm
    • /usr/lib/perl5/Chipcard/PCSC/Card.pod
    • /usr/lib/perl5/auto/Chipcard/PCSC/PCSC.bs
    • /usr/lib/perl5/auto/Chipcard/PCSC/PCSC.so
    • /usr/share/doc/libpcsc-perl/README.gz
    • /usr/share/doc/libpcsc-perl/changelog.Debian.gz
    • /usr/share/doc/libpcsc-perl/changelog.gz
    • /usr/share/doc/libpcsc-perl/copyright
    • /usr/share/doc/libpcsc-perl/examples/gsm.script
    • /usr/share/doc/libpcsc-perl/examples/gsm_directory.pl.gz
    • /usr/share/doc/libpcsc-perl/examples/multiple_readers.pl.gz
    • /usr/share/doc/libpcsc-perl/examples/single_reader.pl.gz
    • /usr/share/doc/libpcsc-perl/examples/test.pl.gz
    • /usr/share/doc/libpcsc-perl/examples/test_iso_error.pl
    • /usr/share/man/man3/Chipcard::PCSC.3pm.gz
    • /usr/share/man/man3/Chipcard::PCSC::Card.3pm.gz

    Changelog

    2011-03-06 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.12-1) unstable; urgency=low * New upstream release * Fix "GetStatusChange error after print" fixed upstream (Closes: #613722)

    2011-02-09 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.11-3) unstable; urgency=low * upload to unstable

    2010-12-04 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.11-2) experimental; urgency=low * debian/watch: use .bz2 instead of .gz extension

    2010-10-27 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.11-1) experimental; urgency=low * New upstream release

    2010-08-18 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.10-1) unstable; urgency=low * New upstream release * debian/control: Standards-Version: 3.9.0 -> 3.9.1. No change needed. * debian/control: remove Conflicts: pcsc-tools (<= 1.2.4-1) since that package version is very old. Stable (lenny) has 1.4.14-1.

    2010-06-30 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.9-1) unstable; urgency=low * New upstream release * debian/control: Standards-Version: 3.8.3 -> 3.9.0. No change needed. * debian/source/format: use "3.0 (quilt)" format

    2009-09-23 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.8-1) unstable; urgency=low * New upstream release * debian/control: 3.7.3 -> 3.8.3. No change needed * debian/rules: use dh Should fix problem with Perl 5.10 http://lists.debian.org/debian-devel/2009/09/msg00556.html

    2008-03-26 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.7-1) unstable; urgency=low * New upstream release * debian/control: - Build-Depends: libpcsclite-dev (>= 1.3.2) instead of 1.3.2-1 to avoid a lintian warning build-depends-on-1-revision - use the Homepage: field - Standards-Version: 3.6.1 -> 3.7.3. No change needed - add Vcs-Svn: and Vcs-Browser: now the packaging is hosted on alioth/collab-maint * debian/{preinst,postrm,prerm,postinst}: remove "empty" files. lintian warning maintainer-script-empty * debian/copyright: add an explicit "Copyright" to avoid a copyright-without-copyright-notice lintian warning

    2007-03-07 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.6-1) unstable; urgency=low * new upstream release - Closes: #413618: "pcsc-perl: FTBFS on GNU/kFreeBSD: tiny adjustment needed"

    2007-03-02 - Ludovic Rousseau <rousseau@debian.org> pcsc-perl (1.4.5-1) unstable; urgency=low * new upstream release

    Advertisement
    Advertisement